Bug 19060 - ppp-watch timeout too short
Summary: ppp-watch timeout too short
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: initscripts   
(Show other bugs)
Version: 7.0
Hardware: i386
OS: Linux
low
low
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-10-13 16:27 UTC by Alexander Kourakos
Modified: 2014-03-17 02:16 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-10-13 17:02:09 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to make boot timeout a configurable option (1.56 KB, patch)
2000-10-13 17:02 UTC, Alexander Kourakos
no flags Details | Diff

Description Alexander Kourakos 2000-10-13 16:27:30 UTC
My PPP connection takes about 50 seconds to finish coming up so 
ppp-watch was always printing "failed, retrying in background" at boot 
even though the connection was going to succeed. I changed 
alarm(30) to alarm(60) on line 490 of ppp-watch.c and all is well.

Comment 1 Alexander Kourakos 2000-10-13 17:02:03 UTC
Created attachment 4144 [details]
patch to make boot timeout a configurable option

Comment 2 Bill Nottingham 2001-01-30 00:16:41 UTC
Thanks, patch will be in 5.60-1!


Note You need to log in before you can comment on or make changes to this bug.